Bug 753580 - conky-process doesn't terminate
conky-process doesn't terminate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
16
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 10:41 EST by Matthias Summer
Modified: 2013-02-13 19:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Summer 2011-11-13 10:41:52 EST
Description of problem:

When useing lxdm as displaymanager conky would not terminate when log out from a xfce/opbenbox session.

Version-Release number of selected component (if applicable):
conky-1.8.1-2.fc15.x86_64
lxdm-0.3.0-4.fc16.x86_64

How reproducible:
everytime when log out

Steps to Reproduce:
1. log out from session
2. in lxdm you'll see conky
  
Actual results:
conky is still running. After a new login there are two conky-processes running.

Expected results:
conky should terminate

Additional info:
Add 
kill -9 `pgrep conky`
to /etc/lxdm/PostLogout works as a work-a-round.
Comment 1 Miroslav Lichvar 2011-11-14 06:51:58 EST
How is conky started?

Conky hasn't changed in a while, so I'd suspect a change in a different component if it worked before.
Comment 2 Matthias Summer 2011-11-14 07:13:47 EST
conky ist started via .config/openbox/autostart.sh:
conky &

In xfce conky is added to autostarted applications in the xfce settings menu. 

Problem also exists in Fedora 15.
Comment 3 Christoph Wickert 2012-03-22 08:57:15 EDT
Please try the 0.4.1 update from 
https://admin.fedoraproject.org/updates/lxdm-0.4.1-1.fc16
Comment 4 Matthias Summer 2012-03-22 17:18:03 EDT
The problem already exists in lxdm-0.4.1-1.fc16
Comment 5 Christoph Wickert 2012-03-23 04:21:11 EDT
You mean "still" instead of "already", right?

Please try enabling the "Reset X server" option in /etc/lxdm/lxdm.conf.
Comment 6 Matthias Summer 2012-03-23 16:56:16 EDT
Enabling the "Reset X server" doesn't stop/kill conky when loggin out of an openbox-session.
Comment 7 Matthias Summer 2013-01-16 16:07:29 EST
Same behaviour in fedora 18.
Comment 8 Fedora End Of Life 2013-01-16 17:28:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 19:58:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.